Subject: bug#12025: 24.1; Crash when using tootipshow

From: Chong Yidong <[email-masked]>
Date: Tue, 07 Aug 2012 15:04:15 +0800

Eli Zaretskii <[email-masked]> writes:

>  . x-show-tip was signaling an error due to the latest change in
>    decode_any_window, which insists on w->frame being a live frame.
>    When decode_any_window is called during creation of a tip frame,
>    that frame is not yet "official", so the test fails.  The backtrace
>    leading to the error is below; Chong, could you please look into
>    this?  I commented out the CHECK_LIVE_FRAME test for now, because
>    it renders tooltips unusable.

I guess the check is too aggressive.  I moved it into the functions that
ought to signal an error if called on a window on a dead frame
(specifically window-edges, window-pixel-edges,
window-absolute-pixel-edges, delete-other-windows-internal, and
delete-window-internal).